org.codehaus.groovy.antlr

## Class EnumHelper

- java.lang.Object
- - org.codehaus.groovy.antlr.EnumHelper

-     public class EnumHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldNode` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
    `static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumHelper

          public EnumHelper()

  - ### Method Detail

    - #### makeEnumNode

          public static ClassNode makeEnumNode(String name,
                               int modifiers,
                               ClassNode[] interfaces,
                               ClassNode outerClass)

    - #### addEnumConstant

          public static FieldNode addEnumConstant(ClassNode enumClass,
                                  String name,
                                  Expression init)